## imcode.server.user
Class RoleId

    java.lang.Object
      imcode.server.user.RoleId

All Implemented Interfaces:
  java.io.Serializable

    public class RoleId

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static RoleId` `SUPERADMIN`
`static int` `SUPERADMIN_ID`
`static RoleId` `USERADMIN`
`static int` `USERADMIN_ID`
`static RoleId` `USERS`
`static int` `USERS_ID`

Constructor Summary
`RoleId(int roleId)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`int` `intValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SUPERADMIN_ID

    public static final int SUPERADMIN_ID

See Also:
  Constant Field Values

### USERADMIN_ID

    public static final int USERADMIN_ID

See Also:
  Constant Field Values

### USERS_ID

    public static final int USERS_ID

See Also:
  Constant Field Values

### SUPERADMIN

    public static final RoleId SUPERADMIN

### USERADMIN

    public static final RoleId USERADMIN

### USERS

    public static final RoleId USERS

Constructor Detail

### RoleId

    public RoleId(int roleId)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### intValue

    public int intValue()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`